%define type strict
%define POLICYDIR /etc/selinux/%{type}
%define FILE_CONTEXT %{POLICYDIR}/contexts/files/file_contexts
%define PRE_FILE_CONTEXT %{FILE_CONTEXT}.pre
%define POLICYVER 19
%define POLICYCOREUTILSVER 1.22-2
%define CHECKPOLICYVER 1.21.4
%define KERNELVER 2.6.11-1.1219 
%define LIBSELINUXVER 1.23.5-1

Summary: SELinux %{type} policy configuration
Name: selinux-policy-%{type}
Version: 1.23.16
Release: 6
License: GPL
Group: System Environment/Base
Source: http://www.nsa.gov/selinux/archives/policy-%{version}.tgz
Source1: booleans
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
Patch: policy-20050516.patch

BuildArch: noarch
BuildRequires: checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils >= %{POLICYCOREUTILSVER}
BuildRequires: python
PreReq: kernel >= %{KERNELVER} policycoreutils >= %{POLICYCOREUTILSVER} libselinux >= %{LIBSELINUXVER}
Obsoletes: policy

%description
Security-enhanced Linux is a patch of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains the SELinux example policy configuration along
with the Flask configuration information and the application
configuration files.  

%prep
%setup -q -n policy-%{version}
%patch -p1

%build
mv domains/misc/unused/* domains/misc
mv domains/program/unused/* domains/program/
(cd domains/program/; mv -f afs.te amavis.te asterisk.te audio-entropyd.te authbind.te backup.te calamaris.te ciped.te clamav.te clockspeed.te courier.te daemontools.te distcc.te djbdns.te dante.te dcc.te ddclient.te devfsd.te dnsmasq.te dpk* gatekeeper* gift.te imazesrv.te ircd.te jabberd.te lcd.te lrrd.te monopd.te nagios.te nessusd.te nrpe.te nsd.te nx_server.te oav-update.te openca-ca.te openvpn.te perdition.te portslave.te postgrey.te publicfile.te pyzor.te pxe.te qmail* razor.te resmgrd.te rssh.te scannerdaemon.te seuser* sound-server.te speedmgmt.te snort.te sxid.te tiny* transproxy.te tripwire.te ucspi-tcp.te uml_net* uptimed.te uwimapd.te watchdog.te xprint* yam.te unused/)
make policy
rm -rf tmp

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/root
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/contexts/users
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/contexts/files
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8/
make DESTDIR="${RPM_BUILD_ROOT}" USEPWD="-n" install
make clean
make DESTDIR="${RPM_BUILD_ROOT}" USEPWD="-n" install-src
install -m 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/man/man8/*.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/man"
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/targeted"
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy"/*.spec
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy"/*.orig
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/policy/policy.18"
install -m0600 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/config
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/booleans.local

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/selinux
%ghost %config(noreplace) %{_sysconfdir}/selinux/config
%dir %{_sysconfdir}/selinux/%{type}
%dir %{_sysconfdir}/selinux/%{type}/policy
%dir %{_sysconfdir}/selinux/%{type}/users
%dir %{_sysconfdir}/selinux/%{type}/contexts
%dir %{_sysconfdir}/selinux/%{type}/contexts/files
%dir %{_sysconfdir}/selinux/%{type}/contexts/users
%config %{_sysconfdir}/selinux/%{type}/booleans
%ghost %config(noreplace) %{_sysconfdir}/selinux/%{type}/booleans.local
%{_sysconfdir}/selinux/%{type}/policy/policy.%{POLICYVER}
%{_sysconfdir}/selinux/%{type}/contexts/files/file_contexts
%{_sysconfdir}/selinux/%{type}/contexts/files/file_contexts.homedirs
%{_sysconfdir}/selinux/%{type}/contexts/files/homedir_template
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/files/media
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/dbus_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_type
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/initrc_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/failsafe_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/removable_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/userhelper_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/users/root
%config %{_sysconfdir}/selinux/%{type}/users/system.users
%config(noreplace) %{_sysconfdir}/selinux/%{type}/users/local.users
%{_sysconfdir}/selinux/%{type}/contexts/customizable_types
%{_mandir}/man8/*

%pre
if [ -f %{FILE_CONTEXT} ]; then
	cp -f %{FILE_CONTEXT} %{PRE_FILE_CONTEXT}
fi
exit 0

%post
if [ ! -s /etc/selinux/config ]; then
if [ -s /etc/sysconfig/selinux ]; then 
	#
	#	Previous install of FC2 so we will default 
	#       to strict policy
	#
	mv /etc/sysconfig/selinux /etc/selinux/config
	echo "
# SELINUXTYPE= can take one of these two values:
#	targeted - Only targeted network daemons are protected.
#	strict - Full SELinux protection.
SELINUXTYPE=strict " >> /etc/selinux/config
	rm -f /etc/sysconfig/selinux
else
	#
	#	New install so we will default to targeted policy
	#
	echo "
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#	enforcing - SELinux security policy is enforced.
#	permissive - SELinux prints warnings instead of enforcing.
#	disabled - No SELinux policy is loaded.
SELINUX=enforcing
# SELINUXTYPE= can take one of these two values:
#	targeted - Only targeted network daemons are protected.
#	strict - Full SELinux protection.
SELINUXTYPE=targeted " > /etc/selinux/config

fi
fi
ln -sf /etc/selinux/config /etc/sysconfig/selinux 
restorecon /etc/selinux/config 2> /dev/null

if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
	. /etc/selinux/config
	if [ "${SELINUXTYPE}" = "%{type}" -a ! -s %{POLICYDIR}/src/policy/Makefile ]; then
		[ -x /usr/sbin/load_policy ] &&	/usr/sbin/load_policy %{POLICYDIR}/policy/policy.`cat /selinux/policyvers`
		[ -f %{PRE_FILE_CONTEXT} ] && fixfiles -l /dev/null -C %{PRE_FILE_CONTEXT} restore && rm -f %{PRE_FILE_CONTEXT} 
	fi
	[ -x /usr/sbin/genhomedircon ] && /usr/sbin/genhomedircon --type %{type}
fi
[ -f ${POLICYDIR}/booleans.rpmorig ] && [ ! -f ${POLICYDIR}/booleans.local ] && mv ${POLICYDIR}/booleans.rpmorig ${POLICYDIR}/booleans.local

exit 0

%package sources
Summary: SELinux example policy configuration source files 
Group: System Environment/Base
PreReq: m4 make checkpolicy >= %{CHECKPOLICYVER} policycoreutils >= %{POLICYCOREUTILSVER} kernel >= %{KERNELVER} 
PreReq: selinux-policy-%{type} = %{version}-%{release}
Requires: python
BuildRequires: checkpolicy  >= %{CHECKPOLICYVER} policycoreutils
Obsoletes: policy-sources

%description sources
This subpackage includes the source files used to build the policy
configuration.  Includes policy.conf and the Makefiles, macros and
source files for it.

%files sources
%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/selinux/%{type}/src/policy/users
%config(noreplace) %{_sysconfdir}/selinux/%{type}/src/policy/local.users
%dir %{_sysconfdir}/selinux/%{type}/src/policy/tunables
%config %{_sysconfdir}/selinux/%{type}/src/policy/tunables/*.tun
%dir %{_sysconfdir}/selinux/%{type}/src
%dir %{_sysconfdir}/selinux/%{type}/src/policy
%{_sysconfdir}/selinux/%{type}/src/policy/ChangeLog
%{_sysconfdir}/selinux/%{type}/src/policy/COPYING
%{_sysconfdir}/selinux/%{type}/src/policy/Makefile
%{_sysconfdir}/selinux/%{type}/src/policy/README
%{_sysconfdir}/selinux/%{type}/src/policy/VERSION
%dir %{_sysconfdir}/selinux/%{type}/src/policy/appconfig
%config %{_sysconfdir}/selinux/%{type}/src/policy/appconfig/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/assert.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/attrib.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/constraints
%dir %{_sysconfdir}/selinux/%{type}/src/policy/domains
%config %{_sysconfdir}/selinux/%{type}/src/policy/domains/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/flask
%config %{_sysconfdir}/selinux/%{type}/src/policy/flask/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/fs_use
%config %{_sysconfdir}/selinux/%{type}/src/policy/genfs_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/initial_sid_contexts
%dir %{_sysconfdir}/selinux/%{type}/src/policy/macros
%config %{_sysconfdir}/selinux/%{type}/src/policy/macros/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/mls
%config %{_sysconfdir}/selinux/%{type}/src/policy/net_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/rbac
%dir %{_sysconfdir}/selinux/%{type}/src/policy/types
%config %{_sysconfdir}/selinux/%{type}/src/policy/types/*
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/tmp

%post sources
if [ -x /usr/sbin/selinuxenabled -a -f /etc/selinux/config ]; then
	. /etc/selinux/config
	if [ "${SELINUXTYPE}" = "%{type}" -a /usr/sbin/selinuxenabled ]; then
		make -C %{POLICYDIR}/src/policy load > /dev/null 2>&1
		[ -f %{PRE_FILE_CONTEXT} ] && fixfiles -l /dev/null -C %{PRE_FILE_CONTEXT} restore && rm -f %{PRE_FILE_CONTEXT} 
	fi
fi
exit 0

%changelog
* Fri May 20 2005 Dan Walsh <dwalsh@redhat.com> 1.23.16-6
- Add firstboot to targeted policy

* Thu May 19 2005 Dan Walsh <dwalsh@redhat.com> 1.23.16-5
- Fix slapd and cups for targeted policy

* Wed May 18 2005 Dan Walsh <dwalsh@redhat.com> 1.23.16-4
- Add anaconda back in
- Fix for nvidia
- Fixes for acpi
- Fix several ":file read" -> ":file { getattr read }:

* Mon May 16 2005 Dan Walsh <dwalsh@redhat.com> 1.23.16-1
- Update from NSA
	* Added rdisc policy from Russell Coker.
	* Merged minor fix to named policy by Petre Rodan.
	* Merged minor fixes to policy from Russell Coker for kudzu,
	named, screen, setfiles, telnet, and xdm.
	* Merged minor fix to Makefile from Russell Coker.

* Thu May 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.15-5
- Remove incorrect user_*_t from te files
- Add secadmfile attribute
- Allow secadm to relabel secadmfile
- Add wine file_context

* Wed May 11 2005 Dan Walsh <dwalsh@redhat.com> 1.23.15-4
- Allow smbd to communicate with cups 
- fix some net_conf contexts
- Add a bunch of / files file_context 

* Tue May 10 2005 Dan Walsh <dwalsh@redhat.com> 1.23.15-3
- httpd_suexec_t needs to be able to read user_home_dir_t in targeted policy

* Mon May 9 2005 Dan Walsh <dwalsh@redhat.com> 1.23.15-2
- Add Russell Fixes.  Add rdisc policy.
- Add some of Ivan's changes.
- remove syslog boolean

* Fri May 6 2005 Dan Walsh <dwalsh@redhat.com> 1.23.15-1
- Update from NSA
	* Added tripwire and yam policy from David Hampton.
	* Merged minor fixes to amavid and a clarification to the
	httpdcontent attribute comments from David Hampton.
	* Merged patch from Dan Walsh.  Includes fixes for restorecon,
	games, and postfix from Russell Coker.  Adds support for debugfs.
	Restores support for reiserfs.  Allows udev to work with tmpfs_t
	before /dev is labled.  Removes transition from sysadm_t
	(unconfined_t) to ifconfig_t for the targeted policy.  Other minor
	cleanups and fixes.


* Thu May 5 2005 Dan Walsh <dwalsh@redhat.com> 1.23.14-3
- Add debugfs
- Add Russell fixes for restorecon, games
- Turn off user_canbe_sysadm

* Mon May 2 2005 Dan Walsh <dwalsh@redhat.com> 1.23.14-2
- Allow all domains on ppc execmem priv, otherwise it crashes

* Mon May 2 2005 Dan Walsh <dwalsh@redhat.com> 1.23.14-1
- Update to latest from NSA
	* Added afs policy from Andrew Reisse.
	* Merged patch from Lorenzo Hernández García-Hierro which defines
	execstack and execheap permissions.  The patch excludes these
	permissions from general_domain_access and updates the macros for
	X, legacy binaries, users, and unconfined domains.
	* Added nlmsg_relay permisison where netlink_audit_socket class is
	used.  Added nlmsg_readpriv permission to auditd_t and auditctl_t.
	* Merged some minor cleanups from Russell Coker and David Hampton.
	* Merged patch from Dan Walsh.  Many changes made to allow
	targeted policy to run closer to strict and now almost all of
	non-userspace is protected via SELinux.  Kernel is now in
	unconfined_domain for targeted and runs as root:system_r:kernel_t.
	Added transitionbool to daemon_sub_domain, mainly to turn off
	httpd_suexec transitioning.  Implemented web_client_domain
	name_connect rules.  Added yp support for cups.  Now the real
	hotplug, udev, initial_sid_contexts are used for the targeted
	policy.  Other minor cleanups and fixes.  Auditd fixes by Paul
	Moore.

* Fri Apr 29 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-8
- Fixes for consoletype, kudzu reading proc_t
- Add label /dev/adb
- Fixes for hal

* Thu Apr 28 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-6
- Allow hal to connect to self
- Fix turboprint/cups problem.
- Fixes fir i18n_input errors

* Wed Apr 27 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-4
- Update to fix smtp random device access
- Add i18n_input changes from Akira TAGOH

* Tue Apr 26 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-3
- Fix turboprint/cups integration

* Mon Apr 25 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-2
- Small fixes for targeted policy
- Add updfstab

* Mon Apr 25 2005 Dan Walsh <dwalsh@redhat.com> 1.23.13-1
- Update to latest from NSA 
	* Merged more changes from Dan Walsh to initrc_t for removal of
	unconfined_domain.
	* Merged Dan Walsh's split of auditd policy into auditd_t for the
	audit daemon and auditctl_t for the autoctl program.
	* Added use of name_connect to uncond_can_ypbind macro by Dan
	Walsh.
	* Merged other cleanup and fixes by Dan Walsh.

* Sun Apr 24 2005 Dan Walsh <dwalsh@redhat.com> 1.23.12-5
- Fix file_context conflicts for fsadm
- Add Russels patches
- Restore webalizer
- Add transitionbool for httpd_suexec

* Fri Apr 22 2005 Dan Walsh <dwalsh@redhat.com> 1.23.12-4
- Fix consoletype
- Add kernel_t, udev, hotplug, consoletype,restorecon to targeted

* Thu Apr 21 2005 Dan Walsh <dwalsh@redhat.com> 1.23.12-2
- Fix conflicting context files

* Wed Apr 20 2005 Dan Walsh <dwalsh@redhat.com> 1.23.12-1
- Fix dhcpc.te
- fix hostname.te for targeted domain
- Update from NSA
	* Merged Dan Walsh's Netlink changes to handle new auditing pam
 	modules.
	* Merged Dan Walsh's patch removing the sysadmfile attribute from
	policy files to separate sysadm_t from secadm_t.
	* Added CVS and uucpd policy from Dan Walsh.
	* Cleanup by Dan Walsh to handle turning off unlimitedRC.
	* Merged Russell Coker's fixes to ntpd, postgrey, and named
	policy.
	* Cleanup of chkpwd_domain and added permissions to su_domain
	macro due to pam changes to support audit.
	* Added nlmsg_relay and nlmsg_readpriv permissions to the
	netlink_audit_socket class.
 
* Tue Apr 19 2005 Dan Walsh <dwalsh@redhat.com> 1.23.11-4
- Fix httpd_suexec_t to be able to creat log file
- Add auditctl_t
- Misc fixes

* Fri Apr 15 2005 Dan Walsh <dwalsh@redhat.com> 1.23.11-3
- Add additional amanda rules
- Fix prelink to privowner
- Fix udev startup

* Thu Apr 14 2005 Dan Walsh <dwalsh@redhat.com> 1.23.11-1
- Fix login programs handling of audit messages
- Update to latest from NSA
	* Merged Dan Walsh's separation of the security manager and system
	administrator.
	* Removed screensaver.te as suggested by Thomas Bleher
	* Cleanup of typealiases that are no longer used by Thomas Bleher.
	* Cleanup of fc files and additional rules for SuSE by Thomas
	Bleher.
	* Merged changes to auditd and named policy by Russell Coker.
	* Merged MLS change from Darrel Goeddel to support the policy
	hierarchy patch.

* Wed Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-6
- Add auditd policy to targeted
- fix auditd policy

* Tue Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-5
- Allow NetworkManager to communicate with hal in targeted_policy

* Tue Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-4
- Add Russell compat.(fc, te) for switching from strict to targeted

* Tue Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-3
- Fix Makefile to load policy before installing FC
- Fix patch
- Remove unlimited tunables from strict


* Tue Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-2
- Fix Makefile to load policy before installing FC
- Fix patch
- Remove unlimited tunables from strict

* Tue Apr 12 2005 Dan Walsh <dwalsh@redhat.com> 1.23.10-1
- Add dbusd.te
- Fix adobe

* Mon Apr 11 2005 Dan Walsh <dwalsh@redhat.com> 1.23.9-2
- Add name_connect for Mozilla
- Add cvs and uucpd policy
- Many fixes for strict policy

* Fri Apr 8 2005 Dan Walsh <dwalsh@redhat.com> 1.23.9-1
- Create separate secadm_r/secadm_t domain

* Wed Apr 6 2005 Dan Walsh <dwalsh@redhat.com> 1.23.8-2
- Move to a later kernel version
- Update from NSA
	* Merged diffs from Dan Walsh.  Includes Ivan Gyurdiev's cleanup
	of x_client apps.
	* Added dmidecode policy from Ivan Gyurdiev.

* Wed Apr 6 2005 Dan Walsh <dwalsh@redhat.com> 1.23.8-1
- Update from NSA
	* Added netlink_kobject_uevent_socket class.
	* Removed empty files pump.te and pump.fc.
	* Added NetworkManager policy from Dan Walsh.
	* Merged Dan Walsh's major restructuring of Apache's policy.

* Tue Apr 5 2005 Dan Walsh <dwalsh@redhat.com> 1.23.6-4
- add NetworkManager and modutils

* Mon Apr 4 2005 Dan Walsh <dwalsh@redhat.com> 1.23.6-3
- Allow httpd to read content without builtin scripting turned on
- Remove policy.18

* Mon Apr 4 2005 Dan Walsh <dwalsh@redhat.com> 1.23.6-1
- Add boolean httpd_buildin_scripting
- Update to latest NSA Policy
	* Merged cleanup of the Makefile and other stuff from Dan Walsh.
	Dan's patch includes some desktop changes from Ivan Gyurdiev.
	* Merged Thomas Bleher's patches which increase the usage of
	lock_domain() and etc_domain(), changes var_lib_DOMAIN_t usage to
	DOMAIN_var_lib_t, and removes use of notdevfile_class_set where
	possible. 
	* Merged Greg Norris's cleanup of fetchmail.

* Thu Mar 31 2005 Dan Walsh <dwalsh@redhat.com> 1.23.5-3
- Redesign of apache_macros.  Broken into apache_user_domain and apache_domain.
- Added fixes from Ivan

* Thu Mar 24 2005 Dan Walsh <dwalsh@redhat.com> 1.23.5-2
- Handle booleans.local
- Add policy to handle ssh-keysign

* Thu Mar 23 2005 Dan Walsh <dwalsh@redhat.com> 1.23.5-1
- Update to latest from NSA

* Wed Mar 23 2005 Dan Walsh <dwalsh@redhat.com> 1.23.4-4
- Allow named, nscd to log to /var/log directory
- Allow cups to create ptal_var_run_t files

* Tue Mar 22 2005 Dan Walsh <dwalsh@redhat.com> 1.23.4-3
- More tightening of name_connect
- Cleanups to httpd_unconfined_script_t

* Mon Mar 21 2005 Dan Walsh <dwalsh@redhat.com> 1.23.4-1
- Update from NSA
- Add logfile tmpfs_t associate privs
- Start adding name_connect code
- Add httpd_unconfined_script_t

* Fri Mar 18 2005 Dan Walsh <dwalsh@redhat.com> 1.23.3-2
- Allow cups/lpd to bind to a port 

* Thu Mar 17 2005 Dan Walsh <dwalsh@redhat.com> 1.23.3-1
- Update from NSA
	* Added policy for nx_server from Thomas Bleher.
	* Added policies for clockspeed, daemontools, djbdns, ucspi-tcp, and
	publicfile from Petre Rodan.

* Tue Mar 15 2005 Dan Walsh <dwalsh@redhat.com> 1.23.2-1
- Update from NSA
	* Merged diffs from Dan Walsh.  Dan's patch includes Ivan Gyurdiev's 
	gift policy.
	* Made sysadm_r the first role for root, so root's home will be labled 
	as sysadm_home_dir_t instead of staff_home_dir_t.
	* Modified fs_use and Makefile to reflect jfs now supporting security 
	xattrs.

* Fri Mar 11 2005 Dan Walsh <dwalsh@redhat.com> 1.23.1-1
- Update from NSA
- Fixes for fs_daemon
- Add gift from Ivan Gyurdiev

* Thu Mar 10 2005 Dan Walsh <dwalsh@redhat.com> 1.22.1-3
- Add consoletype.te to targeted policy
- Fix filecontext.homedirs handling

* Thu Mar 10 2005 Dan Walsh <dwalsh@redhat.com> 1.22.1-1
- Update to latest from NSA
- Dontaudit pam_timestamp calls to utmp

* Wed Mar 9 2005 Dan Walsh <dwalsh@redhat.com> 1.21.16-3
- Add in ifconfig and hostname to make dhcpc work
- Add dontaudit for some net_admin calls

* Wed Mar 9 2005 Dan Walsh <dwalsh@redhat.com> 1.21.16-1
- Rebuild to fix bad policycoreutils
- fix ftpd_selinux man page
- Update to latest from NSA

* Tue Mar 8 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-8
- Add back in dhcpc.te to targeted 
- remove java_domain 
- Fix rpc_pipefs reg expression found by Eric Paris
- Fix sendmail
- Add ftpd_anon_rw_t

* Mon Mar 7 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-6
- Add many Ivan Gyurdiev cleanups

* Tue Mar 2 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-5
- Remove cyrus_r

* Mon Feb 28 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-4
- Add Ivans changes to cleanup writing to homedir
- Update strict policy changes
- Allow httpd_sys_script_t self: create_stream_socket_perms

* Fri Feb 25 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-3
- Add transitions to dhcpc
- Remove serviceusers
- Fixes for mta in targeted

* Thu Feb 24 2005 Dan Walsh <dwalsh@redhat.com> 1.21.15-1
- Update from NSA

* Wed Feb 23 2005 Dan Walsh <dwalsh@redhat.com> 1.21.14-4
- Lots of fix patches from Ivan

* Mon Feb 21 2005 Dan Walsh <dwalsh@redhat.com> 1.21.14-3
- Lots of fix patches from Ivan

* Mon Feb 21 2005 Dan Walsh <dwalsh@redhat.com> 1.21.14-2
- Lots of fix patches from Ivan

* Thu Feb 17 2005 Dan Walsh <dwalsh@redhat.com> 1.21.14-1
- Update from NSA

* Mon Feb 14 2005 Dan Walsh <dwalsh@redhat.com> 1.21.13-1
- Update from NSA
- Add bin_t, sbin_t, exec_type execmod privs for targeted policy

* Mon Feb 14 2005 Dan Walsh <dwalsh@redhat.com> 1.21.12-3
- Cleanup x_client_domain
- Add dontaudit net_admin for cups

* Fri Feb 11 2005 Dan Walsh <dwalsh@redhat.com> 1.21.12-2
- Allow unconfined_t to execmod on ld_so_t

* Thu Feb 10 2005 Dan Walsh <dwalsh@redhat.com> 1.21.12-1
- Use new gethomedircon

* Wed Feb 9 2005 Dan Walsh <dwalsh@redhat.com> 1.21.11-3
- Add additional texrel_shlib 

* Wed Feb 9 2005 Dan Walsh <dwalsh@redhat.com> 1.21.11-1
- Eliminate lots of net_admin privs.
- Add privs to useradd to create homedir correctly

* Wed Feb 9 2005 Dan Walsh <dwalsh@redhat.com> 1.21.10-1
- Fix traceroute policy for nmap
- remove cap31 to prevent checkpolicy bug

* Tue Feb 8 2005 Dan Walsh <dwalsh@redhat.com> 1.21.9-1
- Update to latest from NSA
	* Updated capability access vector for audit capabilities.
- Fix file_contexts spec

* Mon Feb 7 2005 Dan Walsh <dwalsh@redhat.com> 1.21.8-6
- Allow user apps to read event_device_t

* Fri Feb 4 2005 Dan Walsh <dwalsh@redhat.com> 1.21.8-5
- Add java plugin policy

* Thu Feb 3 2005 Dan Walsh <dwalsh@redhat.com> 1.21.8-4
- Fix postfix handling in targeted with dovecot.
- Stop transitioning to httpd_sys_script_t if httpd_disable_trans is set

* Wed Feb 2 2005 Dan Walsh <dwalsh@redhat.com> 1.21.8-2
- Allow syslogd to r_netlink_route
- Dontaudit samba access to $1_file_types

* Tue Feb 1 2005 Dan Walsh <dwalsh@redhat.com> 1.21.7-1
- Update to latest from NSA
	* Add allow_execmem boolean

* Tue Feb 1 2005 Dan Walsh <dwalsh@redhat.com> 1.21.6-1
- Fix cron transiton rules for targeted policy
- Update to latest from NSA
	* Update access vectors

* Mon Jan 31 2005 Dan Walsh <dwalsh@redhat.com> 1.21.5-5
- Allow apache to read certs files
- Add mplayer policy

* Mon Jan 31 2005 Dan Walsh <dwalsh@redhat.com> 1.21.5-3
- Change /u?dev to /dev
- Add Ivan's smbmount patch


* Fri Jan 28 2005 Dan Walsh <dwalsh@redhat.com> 1.21.5-2
- Update to latest from NSA
- Many fixes to spec file.

* Thu Jan 27 2005 Dan Walsh <dwalsh@redhat.com> 1.21.4-2
- Fix handling of local.users file

* Thu Jan 27 2005 Dan Walsh <dwalsh@redhat.com> 1.21.4-1
- Update from NSA
	* Changed policy Makefile to still generate policy.18 as well,
	  and use it for make load if the kernel doesn't support 19.
	* Merged enhanced MLS support from Darrel Goeddel (TCS).

* Wed Jan 25 2005 Dan Walsh <dwalsh@redhat.com> 1.21.3-6
- Added "role system_r types system_crond_t;" for targeted policy
- Dontaudit selinux_config_t from httpd
- Dontaudit writes to mips from httpd
- Change file_context on postgresql helper apps back to bin_t
- Add typealias for shlib_t to lib_t 

* Wed Jan 25 2005 Dan Walsh <dwalsh@redhat.com> 1.21.3-4
- Add texrel_shlib_t for execmod libraries
- Add smbmount policy

* Tue Jan 25 2005 Dan Walsh <dwalsh@redhat.com> 1.21.3-3
- Fix crond to run in unconfined_domain on targeted policy
- Eliminate execmod from gpg

* Mon Jan 24 2005 Dan Walsh <dwalsh@redhat.com> 1.21.3-1
- Update from NSA

* Fri Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.2-7
- Allow restorecon and setfiles to read default_context_t

* Thu Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.2-6
- Remove crond alias to unconfined_t in targeted 

* Thu Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.2-5
- More Fixes for rlogind

* Wed Jan 19 2005 Nalin Dahyabhai <nalin@redhat.com> 1.21.2-4
- Add a default_context entry for the remote_login_t domain, for telnet

* Wed Jan 19 2005 Dan Walsh <dwalsh@redhat.com> 1.21.2-2
- Fixed policy for telnet and rlogin

* Tue Jan 18 2005 Dan Walsh <dwalsh@redhat.com> 1.21.2-1
- Update with latest from NSA
- Add Policy man pages

* Wed Jan 12 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-1
- Update to latest from NSA
- Add samba home dir rules

* Tue Jan 11 2005 Dan Walsh <dwalsh@redhat.com> 1.20.1-3
- Allow samba to manipulate samba_share_t lnk files
- add configurable_types
- Allow mozilla to exemem
- Add suck to innd.te
- Fix creation of posgresql and add can_ypbind

* Fri Jan 7 2005 Dan Walsh <dwalsh@redhat.com> 1.20.1-1
- Start using typeattribute
- Implement allow_samba_home_dirs

* Wed Jan 5 2005 Dan Walsh <dwalsh@redhat.com> 1.19-17-3
- change to require checkpolicy  >= 1.19.2 
- Change to use typeattribute
- Update list of booleans
- Update to latest from NSA

* Tue Jan 4 2005 Dan Walsh <dwalsh@redhat.com> 1.19-16-1
- Update to latest from NSA

* Mon Jan 3 2005 Dan Walsh <dwalsh@redhat.com> 1.19-15-14
- Have cups_config_t create files with the right context
- Allow all file_types to be associated with noexettr file systems
- Allow apache scripts to read fonts_t 
- dontaudit squid trying to read /
- Allow httpd_suexec_t to read home directories

* Tue Dec 28 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-11
- Change sshd, xdm, crond, sendmail to run under different context
- in targeted policy

* Tue Dec 28 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-10
- Fix transition rules for initrc->unconfined_t

* Mon Dec 27 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-9
- Try to fix certain scripts to not transition to initrc_t
	* sendmail, sshd, prefdm, crond

* Mon Dec 27 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-8
- Add Russell patches to udev, modutil

* Thu Dec 23 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-7
- Fix handling of udev.tdb
- Fix ntpd communications with winbind

* Thu Dec 23 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-6
- Stop running sendmail, sshd, cron in initrc domain in targeted

* Wed Dec 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-5
- Allow reading of udev_tdb_t directory
- Change /etc/init.d/sendmail to bin_t for targeted policy to make 
- it to run unconfined.

* Wed Dec 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-3
- Add sendmail

* Wed Dec 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-2
- Remove transition rules for unconfined_t to domains, must run initrc scripts.
- Add init and initrc to targeted policy

* Tue Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.19-15-1
- Update to latest from NSA

* Mon Dec 20 2004 Dan Walsh <dwalsh@redhat.com> 1.19-14-5
- Fix cups policy for targeted policy

* Mon Dec 20 2004 Dan Walsh <dwalsh@redhat.com> 1.19-14-4
- Allow windbind to create log files in samba.
- Fix ifdef dbusd for definition of dbus directory
- Allow system_mail to access urandom_device_t

* Fri Dec 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-14-3
- Fixes for ldconfig in targeted policy

* Thu Dec 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-14-2
- Changes to increase the number of daemons in targeted policy

* Thu Dec 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-14-1
- Update latest from NSA

* Sat Dec 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19-13-1
- Update latest from NSA

* Fri Dec 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-12-2
- Add support for winbindd from nscd

* Wed Dec 8 2004 Dan Walsh <dwalsh@redhat.com> 1.19-12-1
- Update latest from NSA
- Add single_user_file_type tunable.

* Wed Dec 8 2004 Dan Walsh <dwalsh@redhat.com> 1.19-11-3
- Fix winbindd for samba
- Add some targeted_policy ifdefs.

* Wed Dec 8 2004 Dan Walsh <dwalsh@redhat.com> 1.19-11-2
- Many fixes caused by turning off unlimitedRC

* Fri Dec 3 2004 Dan Walsh <dwalsh@redhat.com> 1.19-11-1
- Merge with upstream

* Thu Dec 2 2004 Dan Walsh <dwalsh@redhat.com> 1.19-10-1
- Update to latest from NSA
- Fix tty devices from IBM Platforms

* Thu Dec 2 2004 Dan Walsh <dwalsh@redhat.com> 1.19-9-1
- Update to add execmem and execmod

* Wed Dec 1 2004 Dan Walsh <dwalsh@redhat.com> 1.19-8-4
- Allow boolloader to can_exec_any

* Wed Dec 1 2004 Dan Walsh <dwalsh@redhat.com> 1.19-8-3
- Add ipx support
- Fix portmap

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.19-8-2
- Make htdig work

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.19-8-1
- Cleanup several network_client calls
- Update from upstream

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.19-7-2
- Remove root_dir_type, fix hotplug

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.19-7-1
- Update to Upstream

* Mon Nov 29 2004 Dan Walsh <dwalsh@redhat.com> 1.19-6-1
- Update to Upstream

* Wed Nov 24 2004 Dan Walsh <dwalsh@redhat.com> 1.19-5-1
- Update to Upstream
- Convert to new network_macros.te

* Tue Nov 23 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-4
- Add proc_net for unconfined_t

* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-3
- Fix location of selinuxenabled

* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-2
- Add some rules to allow httpd_sys_content_t to access to httpdcontent if httpd_unified is set

o* Sun Nov 21 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-1
- Upgrade to match upstream
- Require policycoreutils 

* Fri Nov 19 2004 Dan Walsh <dwalsh@redhat.com> 1.19-3-1
- Upgrade to upstream
- Add fixes for postgres and apache

* Thu Nov 18 2004 Dan Walsh <dwalsh@redhat.com> 1.19-2-1
- Upgrade to upstream

* Wed Nov 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-14
Add back in zebra

* Wed Nov 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-13
- don't transition from sysadm_t (unconfined_t) to system_mail_t when
executing sendmail in targeted policy

* Wed Nov 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-12
- Fixes for crond fifo file, httpd_unified, and cups

* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-11
- Fixed for /dev/pmu and printconf

* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-10
- Add boolean to allow httpd to communicate with tty

* Sat Nov 13 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-9
- Minor fixes
- Add postgresql.te to targeted

* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-8
- tighten security on squirrelmail

* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-7
- Fixes to get squirrelmail working in targeted policy

* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-6
- Remove unwanted te files to make policy smaller

* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-5
- Add allow_kerberos for targeted policy and fix ntpd for targetd

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-4
- Fix mysql.te

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-3
- Cleanup of Dovecot and squirrelmail

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-2
- Allow httpd to read bin_t lnk_files

* Tue Nov 09 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-1
- Update from NSA

* Mon Nov 08 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-4
- Add /dev/pmu and privoxy fixes

* Mon Nov 08 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-3
- Complete lockdev and test with mincom

* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-2
- Add preliminary lockdev defs

* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-1
- Allow gpg to read/write user homedir files

* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-1
- Merge with upstream
- Allow users to read xdm pid files
- Allow sysadm_t to communicate with xdm fifo file.

* Thu Nov 04 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-3
- ooffice is crashing because it needs to getattr on a dri device.

* Wed Nov 03 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-2
- Eliminate single user domain

* Tue Nov 02 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-1
- Update from NSA

* Tue Nov 02 2004 Dan Walsh <dwalsh@redhat.com> 1.17.37-2
- Many fixes for tighter can_network policy and nscd_client_domain

* Mon Nov 01 2004 Dan Walsh <dwalsh@redhat.com> 1.17.37-1
- Merge with upstream

* Fri Oct 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.36-3
- Eliminate ability to read tmp_t lnk_files

* Thu Oct 28 2004 Dan Walsh <dwalsh@redhat.com> 1.17.36-2
- Add ability to specify port to can_tcp_network

* Wed Oct 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.36-1
- Break out can_network in to can_tcp_network and can_udp_network
- Add lots of nscd_client_domain

* Tue Oct 26 2004 Dan Walsh <dwalsh@redhat.com> 1.17.35-2
- Add russells patch for ntpdate
- Add Colins batch for dbus_macro

* Tue Oct 26 2004 Dan Walsh <dwalsh@redhat.com> 1.17.35-1
- New fixes for fowner in setfiles and restorecon

* Mon Oct 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.34-2
- Fix spec file 

* Mon Oct 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.34-1
- Update to latest from NSA

* Wed Oct 20 2004 Dan Walsh <dwalsh@redhat.com> 1.17.33-2
- Add some squid fixes and add disable_games boolean

* Tue Oct 19 2004 Dan Walsh <dwalsh@redhat.com> 1.17.33-1
- Update to latest from NSA
- Add apache unified patch

* Mon Oct 18 2004 Dan Walsh <dwalsh@redhat.com> 1.17.32-2
- fixes for nscd
- Fixes for /var/run file contexts

* Thu Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.32-1
- Latest from NSA

* Thu Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.31-2
- Begin fixing bugs when turning off unlimitedinitrc

* Wed Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.31-1
- Small fixes to cleanup reboot
- FTP RLOGIN RSH
- Update with NSA

* Wed Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-3
- Small fixes to cleanup reboot

* Tue Oct 12 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2
- Cleanup patch 
- Add removable_t associate

* Sat Oct 09 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-1
- Upstream merge from NSA
- Add arpwatch.
- Turned on every service on machine and got multiple avc messages.

* Fri Oct 08 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-4
- Change allow_ypbind to be a boolean.

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-3
- Add reserved_port_type

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-2
- minor fixes
- Fix nfsd and ypbind

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-1
- Update for latest from NSA

* Wed Oct 06 2004 Dan Walsh <dwalsh@redhat.com> 1.17.28-2
- Add reiser fix
- allow syslog_t to access tmpfs_t for minilog

* Wed Oct 06 2004 Dan Walsh <dwalsh@redhat.com> 1.17.28-1
- Update from NSA
- Rearrange rpm.te file for targeted policy

* Tue Oct 05 2004 Dan Walsh <dwalsh@redhat.com> 1.17.27-1
- Update from NSA

* Mon Oct 04 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-3
- Fix inetd_child stuff.

* Mon Oct 04 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-2
- Cleanup sendmail policy.

* Fri Oct 01 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-1
- Update with NSA

* Thu Sep 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.25-1
- Update from NSA
- more inetd fixes, mozilla fixes

* Thu Sep 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-4
- Minor fixes
- Fix snmpd.te to allow creation of /var/net-snmp

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-3
- Add tvtime 

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-2
- New fixes for comsat
- Add removable_context

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-1
- New location for mailman
- Update from NSA
- Fixes for ktalkd

* Tue Sep 28 2004 Dan Walsh <dwalsh@redhat.com> 1.17.23-2
- Add vpnc policy

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.23-1
- Add changes for homedir
- Update to latest from NSA

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.22-2
- added ktalkd and other patches form Russell

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.22-1
- Remove screensaver stuff

* Fri Sep 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.21-1
- Latest from NSA
- Added inetd_macros.te and swat, in.comcast, ktalkd, rsync policy
- Many fixes for strict policy

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-3
- Apply Russell's patch

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-2
- Change nfs tunables into booleans for reading exported file systems

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-1
- Update with NSA fixes.

* Tue Sep 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.19-2
- Many fixes for nscd

* Tue Sep 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.19-1
- Update to latest from NSA

* Fri Sep 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-3
- Add associate file_type nfs_t for mv command

* Fri Sep 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-2
- Change targeted policy to use devfs.

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-1
- Fix rhgb and console

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-3
- Allow nscd to read context files

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-2
- Add removable_t for all removable media

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-1
- Update from NSA

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-3
- add context for /lib/tls/i486
- Fix /etc/mozpluggerrc

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-2
- Cleanup patch

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-1
- Update to match NSA Policy
- Added proc_fs attributes

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-3
- More nscd fixes

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-2
- New changes for nscd in targeted policy.  Small cleanup of can_ypbind

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-1
- Update from NSA

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.14-1
- Update from NSA

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.13-1
- Update from NSA
- Fixed for dbus

* Thu Sep 9 2004 Dan Walsh <dwalsh@redhat.com> 1.17.12-1
- Add media context file
- Add ncsd.te to targeted policy

* Wed Sep 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.11-2
- Many changes to get X and dbus to work with /dev on tmpfs

* Wed Sep 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.11-1
- Update from NSA

* Tue Sep 7 2004 Dan Walsh <dwalsh@redhat.com> 1.17.10-2
- Fix named file context and add dbus patch from Colin
- Fix udev and tmpfs boot problems

* Sat Sep 4 2004 Dan Walsh <dwalsh@redhat.com> 1.17.10-1
- Update from NSA

* Thu Sep 2 2004 Dan Walsh <dwalsh@redhat.com> 1.17.9-2
- Clean up patch

* Thu Sep 2 2004 Dan Walsh <dwalsh@redhat.com> 1.17.9-1
- Latest from NSA
- Merge in Russell Changes

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 1.17.8-2
- use underlying context for tmpfs

* Tue Aug 31 2004 Dan Walsh <dwalsh@redhat.com> 1.17.8-1
- Update from NSA
	* Added reserved_port_t type and portcon entries to map all other
	  reserved ports to this type.
	* Added distro_ prefix to distro tunables to avoid conflicts.
	* Merged diffs from Russell Coker.

* Mon Aug 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.7-1
- Update with uli's fixes

* Mon Aug 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.6-1
- Update for NSA
- Add ssh policy fixes

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.5-2
- Fix spec file

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.5-1
- Update from NSA
- Add ftpd_is_daemon=1 boolean

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-5
- Fix patch and spec file

* Thu Aug 26 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-4
- Add cdrom check for makefile
- Add some patches from Russell

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-3
- Fix directory ownership

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-2
- Fix portmap name_bind to reserved_port_t

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-1
- More changes to make named work
- Added can_ypbind to several te files

* Tue Aug 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.3-2
- Russell Changes to Named
- Add unrestricted attribute

* Tue Aug 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.3-1
- Latest from NSA
- Portmap change

* Mon Aug 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.2-1
- Colin patch to check file_contexts
- Add rssh policy
- Latest from NSA

* Sun Aug 22 2004 Dan Walsh <dwalsh@redhat.com> 1.17.1-1
- Update from NSA

* Thu Aug 19 2004 Colin Walters <walters@redhat.com> 1.15.16-2
- Add printer_device_t to types/devices.te, remove from lpd.te.

* Wed Aug 18 2004 Dan Walsh <dwalsh@redhat.com> 1.15.16-1
- Update from NSA, fixes for udev

* Tue Aug 17 2004 Dan Walsh <dwalsh@redhat.com> 1.15.15-1
- Update from NSA, remove unused te files

* Fri Aug 13 2004 Dan Walsh <dwalsh@redhat.com> 1.15.14-1
- Update from NSA

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-4
- Make booleans specific to policy type

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-3
- Fix booleans

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-2
- Fix bind to work in targeted policy

* Sat Aug 8 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-1
- Latest changes from NSA including more booleans changes.

* Tue Aug 3 2004 Dan Walsh <dwalsh@redhat.com> 1.15.12-1
- Update to latest from NSA
- Major rewrite to use booleans

* Tue Aug 3 2004 Dan Walsh <dwalsh@redhat.com> 1.15.11-2
- Fix targeted policy to create tun file


* Sat Jul 31 2004 Dan Walsh <dwalsh@redhat.com> 1.15.11-1
- Update to latest from NSA
- Rename tunables to .tun

* Thu Jul 29 2004 Dan Walsh <dwalsh@redhat.com> 1.15.10-1
- Update to latest from NSA

* Wed Jul 28 2004 Dan Walsh <dwalsh@redhat.com> 1.15.9-1
- Fix audit2allow by adding auditallow load_policy to unconfined_t

* Tue Jul 27 2004 Dan Walsh <dwalsh@redhat.com> 1.15.8-3
- Fix tunables

* Tue Jul 27 2004 Dan Walsh <dwalsh@redhat.com> 1.15.8-1
- Latest from NSA

* Mon Jul 26 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-6
- New policy for bind, fix net_contexts

* Wed Jul 21 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-4
- Fixes for ptal

* Tue Jul 20 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-3
- Fix udev spec

* Mon Jul 19 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-2
- Add patches for NFS Home dirs and some suse patches

* Mon Jul 19 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-1
- Latest version from NSA

* Fri Jul 16 2004 Dan Walsh <dwalsh@redhat.com> 1.15.6-2
- Fix firefox spec and other problems with bootloader

* Thu Jul 15 2004 Dan Walsh <dwalsh@redhat.com> 1.15.6-1
- Rewrite Tunables comments for system-config-securitylevel

* Wed Jul 14 2004 Dan Walsh <dwalsh@redhat.com> 1.15.5-2
- Add device_type create_file_perms to unconfined_t

* Wed Jul 14 2004 Dan Walsh <dwalsh@redhat.com> 1.15.5-1
- add rpm_t for unconfined_t

* Mon Jul 12 2004 Dan Walsh <dwalsh@redhat.com> 1.15.4-1
- Break out unlimitedServices in to multiple tunables

* Mon Jul 12 2004 Dan Walsh <dwalsh@redhat.com> 1.15.3-1
- Fixes for sudo and userhelper.

* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.15.2-1
* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.15.1-1
- Update with latest from NSA

* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-5
- Add allow for syslog looking at /initrd

* Tue Jul 6 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-3
- Fix automount file system
- More fixes for postgress

* Wed Jun 30 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-2
- Fixes for postgres
- Lots of fixes from Fedora list

* Wed Jun 30 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-1
- Update with latest from NSA

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-3
- Fix some problems generated by turning off tunables

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-2
- Fix post scripts

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-1
- Update with latest NSA

* Fri Jun 25 2004 Dan Walsh <dwalsh@redhat.com> 1.13.9-1
- Update with latest NSA
- Add more Colin patches

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1.13.8-1
- Add Kerberos policy
- Update with latest from NSA

* Fri Jun 18 2004 Dan Walsh <dwalsh@redhat.com> 1.13.7-1
- NSA Update

* Thu Jun 17 2004 Dan Walsh <dwalsh@redhat.com> 1.13.6-1
- Another NSA update.
- Added Russell's rpm patch
- Added netlink patches

* Wed Jun 16 2004 Dan Walsh <dwalsh@redhat.com> 1.13.5-1
- Add postfix and mdadm fix from Colin
- Update to match latest from NSA

* Wed Jun 16 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-8
- Add nlclass patch

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-6
- Keep version with strict policy
- Remove uwimapd patch

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-5
- Fix patch

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-4
- Add Additional Russell fixes

* Tue Jun 8 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-3
- Add Hotplug fixes

* Mon Jun 7 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-2
- Add most of Russell's mods

* Mon Jun 7 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-1
- Handle newrole changes for new design
- Update to latest from NSA

* Thu Jun 3 2004 Dan Walsh <dwalsh@redhat.com> 1.13.3-3
- Handle updating /etc/selinux/config

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.3-1
- Update to latest from NSA
- Fix numerous bugs

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-7
- Fix su policy for terminal rename with new pam_selinux.

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-6
- Fix policy for setfiles and restorecon

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-5
- Add tunables subdir

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-4
- Fix hotplug and udev 

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-3
- Fix handling of selinux_config_t and default_context_t

* Fri May 28 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-2
- Only update policy if this policy is running

* Fri May 28 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-1
- Update to match NSA

* Thu May 27 2004 Dan Walsh <dwalsh@redhat.com> 1.13.1-2
- Change location of file_contexts and add new security contexts

* Mon May 24 2004 Dan Walsh <dwalsh@redhat.com> 1.13.1-1
- Initial version created from policy.spec

